## org.eclipse.jetty.annotations
Class RunAsAnnotationHandler

    java.lang.Object
      org.eclipse.jetty.annotations.AnnotationIntrospector.AbstractIntrospectableAnnotationHandler
          org.eclipse.jetty.annotations.RunAsAnnotationHandler

All Implemented Interfaces:
  AnnotationIntrospector.IntrospectableAnnotationHandler

    public class RunAsAnnotationHandler

extends AnnotationIntrospector.AbstractIntrospectableAnnotationHandler

Field Summary
`protected WebAppContext` `_context`

Constructor Summary
`RunAsAnnotationHandler(WebAppContext wac)`

Method Summary
`void` `doHandle(Class clazz)`
`void` `handleField(String className, String fieldName, int access, String fieldType, String signature, Object value, String annotation, List<AnnotationParser.Value> values)`
`void` `handleMethod(String className, String methodName, int access, String params, String signature, String[] exceptions, String annotation, List<AnnotationParser.Value> values)`

Methods inherited from class org.eclipse.jetty.annotations.AnnotationIntrospector.AbstractIntrospectableAnnotationHandler
`handle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _context

    protected WebAppContext _context

Constructor Detail

### RunAsAnnotationHandler

    public RunAsAnnotationHandler(WebAppContext wac)

Method Detail

### doHandle

    public void doHandle(Class clazz)

  Specified by:
    `doHandle` in class `AnnotationIntrospector.AbstractIntrospectableAnnotationHandler`

### handleField

    public void handleField(String className,
                            String fieldName,
                            int access,
                            String fieldType,
                            String signature,
                            Object value,
                            String annotation,
                            List<AnnotationParser.Value> values)

### handleMethod

    public void handleMethod(String className,
                             String methodName,
                             int access,
                             String params,
                             String signature,
                             String[] exceptions,
                             String annotation,
                             List<AnnotationParser.Value> values)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.